import sys
from src.pgdb.chat.c_db import UPostgresDB
from src.pgdb.chat.chat_table import Chat
from src.pgdb.chat.c_user_table import CUser
from src.pgdb.chat.turn_qa_table import TurnQa
from src.pgdb.chat.crud import CRUD
from src.config.consts import (
    CHAT_DB_USER,
    CHAT_DB_HOST,
    CHAT_DB_PORT,
    CHAT_DB_DBNAME,
    CHAT_DB_PASSWORD
)

sys.path.append("../")
"""测试会话相关数据可的连接"""


def test():
    c_db = UPostgresDB(host=CHAT_DB_HOST, database=CHAT_DB_DBNAME, user=CHAT_DB_USER, password=CHAT_DB_PASSWORD,
                       port=CHAT_DB_PORT, )

    crud = CRUD(c_db)
    crud.create_table()
    crud.insert_turn_qa("2", "wen4", "da1", 1, 0)
    crud.insert_turn_qa("2", "wen4", "da1", 2, 0)
    crud.insert_turn_qa("2", "wen4", "da1", 5, 0)
    crud.insert_turn_qa("2", "wen4", "da1", 4, 0)
    crud.insert_turn_qa("2", "wen4", "da1", 3, 0)
    crud.insert_turn_qa("2", "wen4", "da1", 6, 0)
    crud.insert_turn_qa("2", "wen4", "da1", 8, 0)
    crud.insert_turn_qa("2", "wen4", "da1", 7, 0)
    crud.insert_turn_qa("2", "wen4", "da1", 9, 0)

    print(crud.get_history('2'))


if __name__ == "__main__":
    test()
